#!/bin/sh

DEVNAME="/dev/fpga0"

MODULES=/proc/modules

FANDRV="etn_fan"
FBDRV="etn_fb"
NETDRV="etn_net"
IODRV="etn_io"

# FPGA manager may be unloaded but we need to reset FPGA
modprobe etn_fpga_mgr

# We must unload net and io driver before flashing FPGA
if grep -q "^$NETDRV" $MODULES; then
    rmmod $NETDRV
fi

if grep -q "^$FANDRV" $MODULES; then
    rmmod $FANDRV
fi

if grep -q "^$FBDRV" $MODULES; then
    rmmod $FBDRV
fi

if grep -q "^$IODRV" $MODULES; then
    rmmod $IODRV
fi

# Reset FPGA with flashing unexisting file (-u option)
FILE=`mktemp -u`
cat $FILE > $DEVNAME
