#!/bin/bash -e

# ATD7463 I2C address
I2C_ADDR=0x2d

REG_CONF1=0x40
PWM_EN=0x05

REG_PWM1_CONF=0x5c
MANUAL_MODE_100MS_TIMEOUT=0xe1

REG_PWM1_DUTY_CYCLE=0x30
DUTY_CYCLE_50_PERCENT=0x7f

REG_CONF2=0x73
PIN_9_PIN_11_IS_2WIRE=0x05

REG_CONF3=0x78
EN_TACH2_TACH3=0x30

REG_LOCAL_TEMP=0x60
DEGREE_32_88_HZ=0xc7

REG_PWM2_CONF=0x5d
MANUAL_MODE_100MS_TIMEOUT_INVERT_OUT=0xf1

REG_PWM2_DUTY_CYCLE=0x31
DUTY_CYCLE_100_PERCENT=0xff

REG_FAN_PULSES=0x7b
FOUR_PULSES_FAN1=0x57

REG_CONF4=0x7d
THRESHOLD_130mV=0x0c

rmmod lm85
i2cset -y 0 $I2C_ADDR $REG_CONF1 $PWM_EN
i2cset -y 0 $I2C_ADDR $REG_PWM1_CONF $MANUAL_MODE_100MS_TIMEOUT
i2cset -y 0 $I2C_ADDR $REG_PWM1_DUTY_CYCLE $DUTY_CYCLE_50_PERCENT
i2cset -y 0 $I2C_ADDR $REG_CONF2 $PIN_9_PIN_11_IS_2WIRE
i2cset -y 0 $I2C_ADDR $REG_CONF3 $EN_TACH2_TACH3
i2cset -y 0 $I2C_ADDR $REG_LOCAL_TEMP $DEGREE_32_88_HZ
i2cset -y 0 $I2C_ADDR $REG_PWM2_CONF $MANUAL_MODE_100MS_TIMEOUT_INVERT_OUT
i2cset -y 0 $I2C_ADDR $REG_PWM2_DUTY_CYCLE $DUTY_CYCLE_100_PERCENT
i2cset -y 0 $I2C_ADDR $REG_FAN_PULSES $FOUR_PULSES_FAN1
i2cset -y 0 $I2C_ADDR $REG_CONF4 $THRESHOLD_130mV
modprobe lm85
