#!/bin/sh -e

if [ $# != 2 ]
then
  echo "ETN udev helper" 
  echo "Usage: $0 subsystem devpath" 
  exit 2
fi

subsystem=$1
devpath=$2

case "$subsystem" in
  leds)
    chown :led "/sys$devpath/brightness" "/sys$devpath/trigger"
    chmod 0660 "/sys$devpath/brightness" "/sys$devpath/trigger"
  ;;
   
  hwmon)
    chown :fan 			"/sys$devpath/pwm1"
    chown :backlight 		"/sys$devpath/pwm2"
    chown :temperature	 	"/sys$devpath/temp1_input" "/sys$devpath/temp2_input"
    chmod 0660			"/sys$devpath/pwm1" "/sys$devpath/pwm2" "/sys$devpath/temp1_input" "/sys$devpath/temp2_input"
  ;;

  eeprom)
    chown :eeprom		"/sys$devpath/eeprom"
    chmod 0640			"/sys$devpath/eeprom"
  ;;
  
  *)
    echo "No such subsystem" >&2
  ;;
esac
