#!/bin/sh

if [ $# -ne 2 ]; then
  echo "Usage: $0 <firmware file> <fpga device>"
  exit 1
fi

FIRMWARE=$1
FPGADEV=$2

FPGA_NUMBER=`echo $FPGADEV | sed s/[^0-9]//g`
FPGASTATUS_FILE="/sys/class/fpga/fpga${FPGA_NUMBER}/status"

if [ ! -e $FPGASTATUS_FILE ]; then
  echo "Can't find $FPGASTATUS_FILE"
  exit 1
fi

FPGA_STATUS=`cat $FPGASTATUS_FILE`
if [ "x$FPGA_STATUS" = "xuser mode" ]; then
  echo "Already flashed"
  exit 0
fi

fpga-flash $FIRMWARE $FPGADEV
