
-- Common declarations
null = 0/0

-- Common functions

function tobool(str)
  if str == "true" or str == "on" or 
     str == "yes" or str == "enable" then
    return true
  else
    return false
  end
end

function split(inputstr, sep)
        if sep == nil then
                sep = "%s"
        end
        local t={} ; i=1
        for str in string.gmatch(inputstr, "([^"..sep.."]+)") do
                t[i] = str
                i = i + 1
        end
        return t
end



function split_space(str)
  local t = {}

  for i in string.gmatch(str, "%S+") do
      table.insert(t, i)
  end

  return t
end

function split_pat(str, pat)
  local t = {}  -- NOTE: use {n = 0} in Lua-5.0
  local fpat = "(.-)" .. pat
  local last_end = 1
  local s, e, cap = str:find(fpat, 1)
  while s do
    if s ~= 1 or cap ~= "" then
      table.insert(t,cap)
    end
    last_end = e+1
    s, e, cap = str:find(fpat, last_end)
  end
  if last_end <= #str then
    cap = str:sub(last_end)
    table.insert(t, cap)
  end
  return t
end

function table_print( t )
  print( table.concat( t, ", " ) )
end

-- from http://lua-users.org/wiki/StringRecipes
function startswith(String,Start)
  return string.sub(String,1,string.len(Start))==Start
end

function remove_lead_trail_whitespace( s )
   if s ~= nil then
      return s:match( "^%s*(.-)%s*$" )
   else
      return s
   end
end

-- 04-12-2015 12:13:00 -> 20151204T121300+0000 (12 - MM - Dec) 
function convert_etu_time_to_iso8601( s )
  if s == "--:--:---- --:--:--" then
    return nil
  else
    local tmp = split_pat( s, " " )
    local date = tmp[1]
    local time = tmp[2]

    local date_l = split_pat( date, "-" )
    local time_l = split_pat( time, ":" )

    -- FIXME don't know timezone now
    local iso8601_s = date_l[3] .. date_l[2] .. date_l[1] .. "T" .. time_l[1] .. time_l[2] .. time_l[3] .. "+0000"
    return iso8601_s
  end 
end
