# -*- coding: utf-8 -*-

strings_en = dict (
  general = dict (
    title = u'Network testing report',
    report_saved_on = u'Report saved on'
  ),
  device = dict (
    device_info = u'Device info',
    name = u'Device name',
    firmware = u'Firmware version',
    sn = u'Serial number',
    names = dict (
      etns = u'Bercut-ET',
      etn  = u'Bercut-ET'
    ),
    manufacturer = u'Manufacturer',
    manufacturers = dict (
      default = u'STC Metrotek'
    )
  ),
  bert = dict (
    name   = u'Bit Error Rate Test',
    ber    = u'BER',
    bits   = u'Total bit count',
    ebits  = u'Error bit count',
    lss    = u'Loss of sequence sync time (s)',
    lss_pr = u'Loss of sequence sync time (%)',
    los    = u'Loss of signal time (s)',
    los_pr = u'Loss of signal time (%)',
    unsync = u'Synchronization has not been established',
    pattern = dict (
      pattern = u'Bit sequence pattern',
      types = dict (
        user = u'User-defined',
        crtp = u'Continuous Random Test Pattern',
        prbs = u'Pseudo-Random Bit Sequence'
      ),
      user = dict (
        param_pre  = u', with pattern: ',
        param_post = u''
      ),
      prbs = dict (
        param_pre  = u', N = 2e',
        param_post = u' - 1'
      )
    )
  ),
  rfc2544 = dict (
    name = u'RFC-2544',
    learn = u'Learning time',
    wait  = u'Residual frames waiting time',
    thr_percent = u'% from measured throughput',
    rates_src = u'Source of rates',
    btb = dict (
      name = u'Back-to-back',
      frame_count = u'Number of frames',
      time = u'Time'
    ),
    loss = dict (
      name = u'Frame loss',
      rates_start = u'Starting rate',
      rates_end   = u'Ending rate',
      steps = u'Number of steps',
      loss_hdr = u'Loss (%)',
      loss_l1_hdr = u'Loss (L1)',
      loss_l2_hdr = u'Loss (L2)',
      loss_l3_hdr = u'Loss (L3)',
      loss_l4_hdr = u'Loss (L4)'
    ),
    throughput = dict (
      name = u'Throughput',
      maxrate = u'Maximal rate',
      resolution = u'Resolution',
      frm_per_sec = u'Frames/s',
      threshold = u'Threshold',
      rate_hdrs = dict (
        l1 = u'Rate (L1)',
        l2 = u'Rate (L2)',
        l3 = u'Rate (L3)',
        l4 = u'Rate (L4)',
      )
    ),
    latency = dict (
      name = u'Latency',
      delay_hdr = u'Delay',
    ),
    rate_src_thr = u'Results of throughput tests',
    trial_count = u'Number of trials',
    trial_duration = u'Duration of trial',
    rates = u'Rates'
  ),
  y1564 = dict (
    name = u'Y.1564 Test',
    stage = u'Stage',
    ir = u'IR',
    loss = u'FLR',
    ftd = u'FTD',
    fdv = u'FDV',
    cir = u'CIR',
    eir = u'EIR',
    w_tp = u'with traffic policing',
    wo_tp = u'without traffic policing',
    with_step = u'with step duration',
    with_duration = u'with duration',
    configuration = u'Configuration',
    performance = u'Performance',
    stream_count = u'Number of services',
    service = u'Service',
    tp = u'Traffic policing',
    sac_settings = u'SAC settings'
  ),
  vct = dict (
    name = u'Virtual Cable Test',
    attenuation = u'attenuation',
    distance = u'distance',
    statuses = dict (
      norm = u'Normal',
      short = u'Short',
      open = u'Open',
      fail = u'Fail'
    ),
    polarity = dict (
      name = u'polarity',
      pos = u'positive',
      neg = u'negative'
    ),
    crossover = dict (
      name = u'crossover',
      mdix = u'MDI-X',
      mdi = u'MDI'
    )
  ),
  common = dict (
    duration = u'Duration',
    frame    = u'Frame size',
    level    = u'OSI level',
    header   = u'Header',
    settings = u'Settings',
    started  = u'Test started',
    finished = u'Test finished',
    various  = u'Info',
    link_rate = u'Link rate',
    rate     = u'Rate',
    null     = u'—',
    rate_set = u'Requested rate',
    autoneg  = u'Autonegotiation',
    mac      = u'MAC address',
    ports    = u'Port states',
    enabled  = u'Enabled',
    disabled = u'Disabled',
    src      = u'Source',
    dst      = u'Destination',
    results  = u'Test results',
    ip       = u'IP Address',
    udpport  = u'UDP port',
    topology = u'Topology',
    tx_port  = u'Transmitter port',
    rx_port  = u'Receiver port',
    remote_ip = u'Remote IP',
    no_fin   = u'Not yet finished',
    title    = u'Metrotek testing report',
    frames   = u'Frame sizes',
    status   = u'Status',
    port = dict (
      a   = u'Port A',
      b   = u'Port B'
    )
  ),
  units = dict (
    mbps = u'Mbps',
    kbps = u'Kbps',
    ms   = u'ms',
    s    = u's',
    B    = u'B',
    btes = u'bytes',
    db   = u'dB',
    m    = u'm'
  ),
  statuses = dict (
    pending = u'Pending',
    running = u'Running',
    cancelled = u'Cancelled',
    passed = u'Passed',
    failed = u'Failed',
    disabled = u'Disabled',
    unavailable = u'Unavailable',
    interrupted = u'Interrupted',
    configured = u'Configured'
  )
)

strings_ru = dict (
  general = dict (
    title = u'Отчёт о результатах тестирования сети',
    report_saved_on = u'Дата создания отчёта'
  ),
  device = dict (
    device_info = u'Информация о приборе',
    name = u'Название прибора',
    firmware = u'Версия ПО',
    sn = u'Серийный номер',
    names = dict (
      etns = u'Беркут-ET',
      etn  = u'Беркут-ET'
    ),
    manufacturer = u'Производитель',
    manufacturers = dict (
      default = u'НТЦ Метротек'
    )
  ),
  bert = dict (
    name   = u'Тест BER',
    ber    = u'BER',
    bits   = u'Общее количество принятых бит',
    ebits  = u'Количество ошибочных бит',
    lss    = u'LSS (с)',
    lss_pr = u'LSS (%)',
    los    = u'LOS (s)',
    los_pr = u'LOS (%)',
    unsync = u'Синхронизация не выполнена',
    pattern = dict (
      pattern = u'Тип тестовой последовательности',
      types = dict (
        user = u'Пользовательская',
        crtp = u'CRTP',
        prbs = u'ПСП'
      ),
      user = dict (
        param_pre  = u', последовательность: ',
        param_post = u''
      ),
      prbs = dict (
        param_pre  = u', N = 2e',
        param_post = u' - 1'
      )
    )
  ),
  rfc2544 = dict (
    name = u'RFC-2544',
    learn = u'Обучение',
    wait  = u'Интервал',
    thr_percent = u'% от измеренной пропускной способности',
    rates_src = u'Источник значений нагрузки',
    btb = dict (
      name = u'Предельная нагрузка',
      frame_count = u'Количество кадров',
      time = u'Время'
    ),
    loss = dict (
      name = u'Потери кадров',
      rates_start = u'Начальная нагрузка',
      rates_end   = u'Конечная нагрузка',
      steps = u'Количество шагов',
      loss_hdr = u'Потери (%)',
      loss_l1_hdr = u'Потери (L1)',
      loss_l2_hdr = u'Потери (L2)',
      loss_l3_hdr = u'Потери (L3)',
      loss_l4_hdr = u'Потери (L4)'
    ),
    throughput = dict (
      name = u'Пропускная способность',
      maxrate = u'Максимальная нагрузка',
      resolution = u'Разрешение',
      frm_per_sec = u'Кадр/с',
      threshold = u'Порог потерь',
      rate_hdrs = dict (
        l1 = u'Нагрузка (L1)',
        l2 = u'Нагрузка (L2)',
        l3 = u'Нагрузка (L3)',
        l4 = u'Нагрузка (L4)',
      )
    ),
    latency = dict (
      name = u'Задержка',
      delay_hdr = u'Задержка',
    ),
    rate_src_thr = u'Результаты теста пропускной способности',
    trial_count = u'Количество проб',
    trial_duration = u'Длительность пробы',
    rates = u'Нагрузки'
  ),
  y1564 = dict (
    name = u'Y.1564 Test',
    stage = u'Тест',
    ir = u'IR',
    loss = u'FLR',
    ftd = u'FTD',
    fdv = u'FDV',
    cir = u'CIR',
    eir = u'EIR',
    w_tp = u'с traffic policing',
    wo_tp = u'без traffic policing',
    with_step = u'с шагом',
    with_duration = u'продолжительностью',
    configuration = u'Конфигурация',
    performance = u'Производительность',
    stream_count = u'Количество сервисов',
    service = u'Сервис',
    tp = u'Traffic policing',
    sac_settings = u'Настройки SAC'
  ),
  vct = dict (
    name = u'Тест кабеля',
    attenuation = u'затухание',
    distance = u'дистанция',
    statuses = dict (
      norm = u'Целый',
      short = u'Короткое замыкание',
      open = u'Обрыв',
      fail = u'Сбой тестирования'
    ),
    polarity = dict (
      name = u'полярность',
      pos = u'положительная',
      neg = u'отрицательная'
    ),
    crossover = dict (
      name = u'тип подключения',
      mdix = u'MDI-X',
      mdi = u'MDI'
    )
  ),
  common = dict (
    duration = u'Длительность',
    frame    = u'Кадр',
    level    = u'Уровень модели OSI',
    header   = u'Заголовок',
    settings = u'Настройки',
    started  = u'Дата начала теста',
    finished = u'Дата окончания теста',
    various  = u'Информация',
    link_rate = u'Скорость соединения',
    rate     = u'Скорость',
    null     = u'—',
    rate_set = u'Скорость передачи данных',
    autoneg  = u'Автосогласование',
    mac      = u'MAC-адрес',
    ports    = u'Состояние портов',
    enabled  = u'Включён',
    disabled = u'Выключен',
    src      = u'Отправитель',
    dst      = u'Получатель',
    results  = u'Результаты теста',
    ip       = u'IP-адрес',
    udpport  = u'UDP-порт',
    topology = u'Топология',
    tx_port  = u'Порт отправителя',
    rx_port  = u'Порт получателя',
    remote_ip = u'Дистанционный IP-адрес',
    no_fin   = u'Не завершён',
    title    = u'НТЦ Метротек: отчёт о тестировании',
    frames   = u'Размеры кадров',
    status   = u'Состояние',
    port = dict (
      a   = u'Порт A',
      b   = u'Порт B'
    )
  ),
  units = dict (
    mbps = u'Мбит/с',
    kbps = u'Кбит/c',
    ms   = u'мс',
    s    = u'с',
    B    = u'Б',
    btes = u'байт',
    db   = u'дБ',
    m    = u'м'
  ),
  statuses = dict (
    pending = u'Ожидание',
    running = u'Выполняется',
    cancelled = u'Отменён',
    passed = u'Завершён',
    failed = u'Ошибка',
    disabled = u'Запрещён',
    unavailable = u'Недоступен',
    interrupted = u'Прерван',
    configured = u'Настроен'
  )
)

def check_locale_completeness(stand, comp):
  for key in stand:
    if not key in comp:
      raise ValueError('Key ' + key + ' not found!')
    if type(stand[key]) != type(comp[key]):
      raise ValueError('Key ' + key + ' is ' + str(type(comp[key])) +
        ' instead of ' + str(type(stand[key])) + '!')
    if isinstance(stand[key], dict):
      check_locale_completeness(stand[key], comp[key])
